boost::geometry::de9im::mask Class Reference

DE-9IM model intersection mask. More...

List of all members.

## Public Member Functions

| mask (const char *code)
| The constructor.
| mask (std::string const &code)
| The constructor.

## Detailed Description

DE-9IM model intersection mask.

This mask can be used to check spatial relations as defined in Dimensionally Extended 9-Intersection Model.

## Constructor & Destructor Documentation

boost::geometry::de9im::mask::mask | ( | const char * | code | ) | `[explicit]`

The constructor.

Parameters:

  code | The mask pattern.

boost::geometry::de9im::mask::mask | ( | std::string const & | code | ) | `[explicit]`

The constructor.

Parameters:

  code | The mask pattern.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK